MAX_VALS <- 25
price_data <- rep(100,MAX_VALS)
#* @get /updatePrice
updateData <- function(price){
    price <- as.numeric(price)
    price_data <<- c(price_data, price)
    if (length(price_data) > MAX_VALS){
        price_data <<- tail(price_data, n=MAX_VALS)
    }
    cat(price_data,"\n")
}

#* @png
#* @get /plot
display_hist <- function(){
    yaxis <- c(1:length(price_data))
    mod <- lm(price_data~yaxis)
    # plot(price_data, type="b", ylim=c(90,110), main="Latest Prices")
    plot(price_data, type="o", main="Latest Prices")
    abline(mod, col = "orange")
}

#* @get /reset
reset_data <- function(){
    price_data <<- rep(100, MAX_VALS)
}
